#!/bin/bash

##
# This script is used to run the test client applications.
# Call this script with the name of the client application you wish
# to run.
#          ex: ./runtestv20120428.sh GetApplicationListClient url=https://10.222.134.101:8002
#
# Valid 'status' values are: ReceivedByAgency, Validated, Empty
# IF no 'status' arg is sent, client will make the following web service calls:
#	- empty filter
#	- status: Validated
#	- status: Received by Agency
#	- status: "" (blank)
#
# Listed below are test names that you can run.
#
# GetApplicationListClient url=https://10.222.134.101:8002
#
##

##
# Variables that you should change to suit your environment.
##

# JAVA_HOME
export JAVA_HOME=/opt/weblogic/jdk160_29   
echo "JAVA_HOME: " ${JAVA_HOME}
$JAVA_HOME/bin/java -version

# REFIMPL=..
export REFIMPL=../AgencyClient_CL
echo "REFIMPL="${REFIMPL}
echo ""

#DIST_DIR=${REFIMPL}/dist
export DIST_DIR=.
echo "DIST_DIR="${DIST_DIR}
echo ""

#LIB=${REFIMPL}/lib
#CLIENTJAR=${REFIMPL}/dist/agency-s2s-client.jar
export LIB=lib
#CLIENT_JAR=${LIB}/app-s2s-client.jar

# windoze classpath separator
# CP_SEP=';'
# UNIX classpath separator
export CP_SEP=':'

# Toggle this variable to point to the package coresponds to the RI you would like to test.
export PACKAGE=gov.grants.apply.agency.v2

# Execute the Test script.

./run.sh $*