package gov.grants.apply.agency.v2;



import gov.grants.apply.services.agencywebservices_v2.AgencyWebServicesPortType;
import gov.grants.apply.services.agencywebservices_v2.DeleteAdobeSynopsisRequest;
import gov.grants.apply.services.agencywebservices_v2.DeleteAdobeSynopsisResponse;

import org.apache.commons.lang.StringUtils;
import org.apache.log4j.Logger;

public class DeleteAdobeSynopsisClient extends BaseAgencyClient {
	
	private static final String CLASSNAME = DeleteAdobeSynopsisClient.class.getSimpleName();
	private static final Logger log = Logger.getLogger( CLASSNAME );
	
	/**
	 * @param args
	 */
	public static void main( String[] args ) {
		log.debug( "Begin " + CLASSNAME );
		try {
			DeleteAdobeSynopsisClient client = new DeleteAdobeSynopsisClient();
			
			log.debug( "args length: " + args.length );
			client.init( args );
			
			client.makeServiceCall();
			log.debug( "\n\nSUCCESS: " + CLASSNAME + " successfully completed" );

		} catch ( Exception e ) {
			log.error( "\n\nException: " + e.getMessage() );
		}// try-catch
		
	}// main
	
	public void makeServiceCall() throws Exception {
		try {
			String oppNum = getArgMap().get( Globals.OPP_NUM_CMD_LINE_KEY );
			String oppXmlUserId = getArgMap().get( Globals.OPP_XML_USER_ID_CMD_LINE_KEY );
			if ( StringUtils.isBlank( oppNum ) ) {
				throw  new Exception( "opp_num is missing from command line" );
			}// if
			
			if ( StringUtils.isBlank( oppXmlUserId ) ) {
				throw  new Exception( "opp_xml_user_id is missing from command line" );
			}// if
			log.debug( "Opportunity Number: " + oppNum );
			log.debug( "opp xml user Id: " + oppXmlUserId );
			
			AgencyWebServicesPortType port = getAgencyPort();
			log.debug( "port: " + port );
			DeleteAdobeSynopsisRequest request = new DeleteAdobeSynopsisRequest();
			request.setFundingOpportunityNumber( oppNum );
			request.setUserID( oppXmlUserId );
//			log.debug( "request: " + request );
			DeleteAdobeSynopsisResponse response = port.deleteAdobeSynopsis( request );
			log.debug( "DeleteAdobeSynopsis response msg: " + response.getResponseMessage() );
		} catch ( Exception e ) {
			log.error( "Exception: " + e.getMessage() );
			e.printStackTrace();
			throw e;
		}// try-catch
		
	}// makeServiceCall

}
